%define module	Kwiki-ModPerl
%define name	perl-%{module}
%define version 0.09
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Enable Kwiki to work under mod_perl 
Source:		http://search.cpan.org/CPAN/authors/id/G/GU/GUGOD/%{module}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}/
License:	GPL
Group:		Development/Perl
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-Kwiki
BuildRequires:	apache-mod_perl
BuildArch:	noarch
Requires:	apache-mod_perl
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module allows you to use Kwiki as a mod_perl content handler.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Kwiki
%{_mandir}/*/*

%changelog
* Thu Sep 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdk
- New release 0.09

* Thu Jun 02 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdk 
- New release 0.08
- fix source URL for rpmbuildupdate
- tests in %%check

* Tue May 03 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-3mdk 
- fix requires

* Fri Apr 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-2mdk 
- requires apache-mod_perl

* Mon Apr 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdk 
- first mandriva release
